## r-cran-devtools 1.13.4

=== DESCRIPTION ===
Package: devtools
Title: Tools to Make Developing R Packages Easier
Version: 1.13.4
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("Winston", "Chang", role = "aut"),
    person("RStudio", role = "cph"),
    person("R Core team", role = "ctb",
      comment = "Some namespace and vignette code extracted from base R")
    )
Encoding: UTF-8
Description: Collection of package development tools.
URL: https://github.com/hadley/devtools
BugReports: https://github.com/hadley/devtools/issues
Depends: R (>= 3.0.2)
Imports: httr (>= 0.4), utils, tools, methods, memoise (>= 1.0.0),
        whisker, digest, rstudioapi (>= 0.2.0), jsonlite, stats, git2r
        (>= 0.11.0), withr
Suggests: curl (>= 0.9), crayon, testthat (>= 1.0.2), BiocInstaller,
        Rcpp (>= 0.10.0), MASS, rmarkdown, knitr, hunspell (>= 2.0),
        lintr (>= 0.2.1), bitops, roxygen2 (>= 5.0.0), evaluate,
        rversions, covr, gmailr (> 0.7.0)
License: GPL (>= 2)
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-11-08 19:37:59 UTC; jhester
Author: Hadley Wickham [aut, cre],
  Winston Chang [aut],
  RStudio [cph],
  R Core team [ctb] (Some namespace and vignette code extracted from base
    R)
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2017-11-09 10:44:37 UTC

=== tests/testthat/infrastructure/DESCRIPTION ===
Package: infrastructure
Title: What the Package Does (one line, title case)
Version: 0.0.0.9000
Authors@R: person("First", "Last", email = "first.last@example.com", role = c("aut", "cre"))
Description: What the package does (one paragraph).
Depends: R (>= 3.3.1)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Suggests: testthat,
    knitr,
    rmarkdown,
    covr
VignetteBuilder: knitr
LinkingTo: Rcpp
Imports: Rcpp

=== tests/testthat/testCollateExtra/DESCRIPTION ===
Package: testCollateExtra
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate: a.r b.r

=== tests/testthat/testCollateMissing/DESCRIPTION ===
Package: testCollateMissing
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate: b.r

=== tests/testthat/testDependMissing/DESCRIPTION ===
Package: testDependMissing
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Depends:
    MASS,
    R
Collate: a.r b.r

=== tests/testthat/testDllRcpp/DESCRIPTION ===
Package: testDllRcpp
Title: Test package for compiling DLLs that link to Rcpp
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Depends: Rcpp (>= 0.10.0)
LinkingTo: Rcpp
RoxygenNote: 6.0.1

=== tests/testthat/testHelp/DESCRIPTION ===
Package: testHelp
Title: Tools to make developing R code easier
License: GPL-2
Description: Test package for devtools help.
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1

=== tests/testthat/testImportMissing/DESCRIPTION ===
Package: testImportMissing
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Imports:
    missingpackage
Collate: a.r b.r

=== tests/testthat/testNamespace/DESCRIPTION ===
Package: testNamespace
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Imports:
    compiler,
    bitops
Collate: a.r b.r

=== tests/testthat/testS4sort/DESCRIPTION ===
Package: testS4sort
Title: Test package for sorting S4 classes
License: GPL (>= 2)
Description:
Author: Facundo Muñoz <facundo.munoz@orleans.inra.fr>
Maintainer: Facundo Muñoz <facundo.munoz@orleans.inra.fr>
Version: 0.1
Collate:
    'classes.r'
Imports:
    methods

=== tests/testthat/testShim/DESCRIPTION ===
Package: testShim
Title: Tools to make developing R code easier
License: GPL-2
Description: This package is for testing the devtools shim system.
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate: a.r

=== tests/testthat/testTest/DESCRIPTION ===
Package: testTest
Title: Tools to make developing R code easier
License: GPL-2
Description: Package description.
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Suggests:
    testthat
RoxygenNote: 5.0.1

=== debian/changelog ===
r-cran-devtools (1.13.4-1) unstable; urgency=medium

  * Initial release (closes: #677845)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2018 11:52:02 +0100

=== debian/control ===
Source: r-cran-devtools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-memoise (>= 1.0.0),
               r-cran-digest,
               r-cran-rstudioapi,
               r-cran-jsonlite,
               r-cran-withr,
               r-cran-whisker,
               r-cran-git2r
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
Homepage: https://cran.r-project.org/package=devtools

Package: r-cran-devtools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools to Make Developing R Packages Easier
 Collection of package development tools.

## r-cran-devtools 1.13.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: devtools
 Title: Tools to Make Developing R Packages Easier
-Version: 1.13.4
+Version: 1.13.5
 Authors@R: c(
-    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
+    person("Hadley", "Wickham", role = "aut"),
+    person("Jim", "Hester", , "james.hester@rstudio.com", role = c("aut", "cre")),
     person("Winston", "Chang", role = "aut"),
     person("RStudio", role = "cph"),
     person("R Core team", role = "ctb",
@@ -24,12 +25,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-11-08 19:37:59 UTC; jhester
-Author: Hadley Wickham [aut, cre],
+Packaged: 2018-01-05 20:42:48 UTC; jhester
+Author: Hadley Wickham [aut],
+  Jim Hester [aut, cre],
   Winston Chang [aut],
   RStudio [cph],
   R Core team [ctb] (Some namespace and vignette code extracted from base
     R)
-Maintainer: Hadley Wickham <hadley@rstudio.com>
+Maintainer: Jim Hester <james.hester@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-11-09 10:44:37 UTC
+Date/Publication: 2018-02-18 21:53:25 UTC

=== debian/changelog ===
r-cran-devtools (1.13.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Fix Vcs-Browser
  * Lintian overrides for example license files

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 16:01:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-httr,
@@ -15,7 +15,7 @@
                r-cran-whisker,
                r-cran-git2r
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
 Homepage: https://cran.r-project.org/package=devtools

## r-cran-devtools 1.13.6

=== debian/changelog ===
r-cran-devtools (1.13.6-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Update Maintainer Debian R Packages Maintainers
  * Bump Standards-Version: 4.1.4 (no changes needed)
  * Fix autopkgtest
  * Add myself to Uploaders

  [ Andreas Tille ]
  * New upstream version
  * dh-update-R to update Build-Depends
  * Architecture: all (instead of any)

 -- Andreas Tille <tille@debian.org>  Sun, 01 Jul 2018 08:56:19 +0200

=== debian/control ===
Source: r-cran-devtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Dylan Aïssi <bob.dybian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-memoise (>= 1.0.0),
               r-cran-whisker,
               r-cran-digest,
               r-cran-rstudioapi,
               r-cran-jsonlite,
               r-cran-git2r,
               r-cran-withr
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
Homepage: https://cran.r-project.org/package=devtools

Package: r-cran-devtools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools to Make Developing R Packages Easier
 Collection of package development tools.

## r-cran-devtools 2.0.1

=== tests/testthat/testPkgdown/DESCRIPTION ===
Package: testPkgdown
Title: Tools to make developing R code easier
License: GPL-2
Description:
Authors@R: c(
 person("Hadley", email = "h.wickham@gmail.com", role = c("aut", "cre")))
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
VignetteBuilder: knitr
Suggests: knitr,
  pkgdown
RoxygenNote: 6.1.0

=== debian/changelog ===
r-cran-devtools (2.0.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 02 May 2019 07:36:23 +0200

r-cran-devtools (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Bump Standards-Version: 4.2.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 10 Nov 2018 08:30:57 +0100

r-cran-devtools (1.13.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 20 Jan 2018 23:27:01 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-roxygen2, r-cran-mass, r-cran-knitr, r-cran-bitops, r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-devtools 2.1.0

=== debian/changelog ===
r-cran-devtools (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * dh-update-R to update Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Sat, 13 Jul 2019 18:13:54 +0200

=== debian/control ===
Source: r-cran-devtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-usethis (>= 1.5.0),
               r-cran-callr,
               r-cran-cli,
               r-cran-digest,
               r-cran-git2r,
               r-cran-httr,
               r-cran-jsonlite,
               r-cran-memoise (>= 1.0.0),
               r-cran-pkgbuild (>= 1.0.3),
               r-cran-pkgload,
               r-cran-rcmdcheck (>= 1.3.3),
               r-cran-remotes (>= 2.1.0),
               r-cran-roxygen2,
               r-cran-rstudioapi,
               r-cran-sessioninfo,
               r-cran-testthat (>= 2.1.1),
               r-cran-withr
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
Homepage: https://cran.r-project.org/package=devtools

Package: r-cran-devtools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools to Make Developing R Packages Easier
 Collection of package development tools.

## r-cran-devtools 2.2.2

=== DESCRIPTION ===
Package: devtools
Title: Tools to Make Developing R Packages Easier
Version: 2.2.2
Authors@R: c(
    person("Hadley", "Wickham", role = "aut"),
    person("Jim", "Hester", , "jim.hester@rstudio.com", role = c("aut", "cre")),
    person("Winston", "Chang", role = "aut"),
    person("RStudio", role = "cph"),
    person("R Core team", role = "ctb",
      comment = "Some namespace and vignette code extracted from base R")
    )
Description: Collection of package development tools.
License: GPL (>= 2)
URL: https://devtools.r-lib.org/, https://github.com/r-lib/devtools
BugReports: https://github.com/r-lib/devtools/issues
Depends: R (>= 3.0.2), usethis (>= 1.5.0)
Imports: callr, cli, covr (>= 3.2.0), crayon, desc, digest, DT,
        ellipsis (>= 0.3.0), glue, git2r (>= 0.23.0), httr (>= 0.4),
        jsonlite, memoise (>= 1.0.0), pkgbuild (>= 1.0.3), pkgload (>=
        1.0.2), rcmdcheck (>= 1.3.3), remotes (>= 2.1.1), rlang,
        roxygen2 (>= 6.1.1), rstudioapi (>= 0.7), rversions,
        sessioninfo (>= 1.1.1), stats, testthat (>= 2.1.1), tools,
        utils, withr
Suggests: BiocManager, bitops, curl (>= 0.9), evaluate, foghorn (>=
        1.1.0), gmailr (> 0.7.0), knitr, lintr (>= 0.2.1), mockery,
        pingr, MASS, pkgdown, Rcpp (>= 0.10.0), rhub (>= 1.0.2),
        rmarkdown, spelling (>= 1.1), whisker
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.0.2
Language: en-US
NeedsCompilation: no
Packaged: 2020-02-17 15:07:25 UTC; jhester
Author: Hadley Wickham [aut],
  Jim Hester [aut, cre],
  Winston Chang [aut],
  RStudio [cph],
  R Core team [ctb] (Some namespace and vignette code extracted from base
    R)
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2020-02-17 20:30:02 UTC

=== debian/changelog ===
r-cran-devtools (2.2.2-2) unstable; urgency=medium

  * Add patch to fix autopkgtest.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 04 Mar 2020 08:02:14 +0100

r-cran-devtools (2.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 21 Feb 2020 18:08:18 +0100

r-cran-devtools (2.2.1-2) unstable; urgency=medium

  * Fix autopkgtests (Closes: 949279)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 19 Jan 2020 21:41:41 +0100

r-cran-devtools (2.2.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

  [ Dylan Aïssi ]
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 10:05:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,19 @@
            Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-usethis (>= 1.5.0),
                r-cran-callr,
                r-cran-cli,
+               r-cran-covr,
+               r-cran-crayon,
+               r-cran-desc,
                r-cran-digest,
+               r-cran-dt,
+               r-cran-ellipsis,
+               r-cran-glue,
                r-cran-git2r,
                r-cran-httr,
                r-cran-jsonlite,
@@ -18,13 +24,15 @@
                r-cran-pkgbuild (>= 1.0.3),
                r-cran-pkgload,
                r-cran-rcmdcheck (>= 1.3.3),
-               r-cran-remotes (>= 2.1.0),
+               r-cran-remotes (>= 2.1.1),
+               r-cran-rlang,
                r-cran-roxygen2,
                r-cran-rstudioapi,
+               r-cran-rversions,
                r-cran-sessioninfo,
                r-cran-testthat (>= 2.1.1),
                r-cran-withr
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
 Homepage: https://cran.r-project.org/package=devtools

## r-cran-devtools 2.3.1

=== debian/changelog ===
r-cran-devtools (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 Jul 2020 08:41:48 +0200

r-cran-devtools (2.3.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 14:03:37 +0200

r-cran-devtools (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 19 Apr 2020 10:41:42 +0200

=== debian/control ===
Source: r-cran-devtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-usethis (>= 1.6.0),
               r-cran-callr (>= 3.4.3),
               r-cran-cli (>= 2.0.2),
               r-cran-covr,
               r-cran-desc,
               r-cran-dt (>= 0.13),
               r-cran-ellipsis,
               r-cran-httr (>= 1.4.1),
               r-cran-jsonlite (>= 1.6.1),
               r-cran-memoise (>= 1.1.0),
               r-cran-pkgbuild (>= 1.0.6),
               r-cran-pkgload,
               r-cran-rcmdcheck (>= 1.3.3),
               r-cran-remotes (>= 2.2.0),
               r-cran-rlang (>= 0.4.5),
               r-cran-roxygen2 (>= 7.1.0),
               r-cran-rstudioapi (>= 0.11),
               r-cran-rversions,
               r-cran-sessioninfo,
               r-cran-testthat (>= 2.3.2),
               r-cran-withr (>= 2.1.2)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
Homepage: https://cran.r-project.org/package=devtools
Rules-Requires-Root: no

Package: r-cran-devtools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools to Make Developing R Packages Easier
 Collection of package development tools.

## r-cran-devtools 2.3.2

=== DESCRIPTION ===
Package: devtools
Title: Tools to Make Developing R Packages Easier
Version: 2.3.2
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "Jim",
             family = "Hester",
             role = c("aut", "cre"),
             email = "jim.hester@rstudio.com"),
      person(given = "Winston",
             family = "Chang",
             role = "aut"),
      person(given = "RStudio",
             role = "cph"),
      person(given = "R Core team",
             role = "ctb",
             comment = "Some namespace and vignette code extracted from base R"))
Description: Collection of package development tools.
License: GPL (>= 2)
URL: https://devtools.r-lib.org/, https://github.com/r-lib/devtools
BugReports: https://github.com/r-lib/devtools/issues
Depends: R (>= 3.0.2), usethis (>= 1.6.3)
Imports: callr (>= 3.4.4), cli (>= 2.0.2), covr (>= 3.5.1), desc (>=
        1.2.0), DT (>= 0.15), ellipsis (>= 0.3.1), httr (>= 1.4.2),
        jsonlite (>= 1.7.1), memoise (>= 1.1.0), pkgbuild (>= 1.1.0),
        pkgload (>= 1.1.0), rcmdcheck (>= 1.3.3), remotes (>= 2.2.0),
        rlang (>= 0.4.7), roxygen2 (>= 7.1.1), rstudioapi (>= 0.11),
        rversions (>= 2.0.2), sessioninfo (>= 1.1.1), stats, testthat
        (>= 2.3.2), tools, utils, withr (>= 2.2.0)
Suggests: BiocManager (>= 1.30.10), curl (>= 4.3), digest (>= 0.6.25),
        foghorn (>= 1.3.1), gmailr (>= 1.0.0), knitr (>= 1.29), lintr
        (>= 2.0.1), MASS, mockery (>= 0.4.2), pingr (>= 2.0.1), pkgdown
        (>= 1.6.1), rhub (>= 1.1.1), rmarkdown (>= 2.3), spelling (>=
        2.1)
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-09-17 19:11:59 UTC; jhester
Author: Hadley Wickham [aut],
  Jim Hester [aut, cre],
  Winston Chang [aut],
  RStudio [cph],
  R Core team [ctb] (Some namespace and vignette code extracted from base
    R)
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2020-09-18 07:20:11 UTC

=== tests/testthat/testError/DESCRIPTION ===
Package: testError
Title: Test package to check error message gives file/line info
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1

=== tests/testthat/testReadme/DESCRIPTION ===
Package: readme
Version: 0.0.0.9000
Title: What the Package Does (One Line, Title Case)
Description: What the package does (one paragraph).
Authors@R: person("First", "Last", , "first.last@example.com", c("aut", "cre"))
License: What license it uses
Encoding: UTF-8
LazyData: true

=== tests/testthat/testTest/DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: testTest
-Title: Tools to make developing R code easier
+Title: Tools to Make Developing R Code Easier
 License: GPL-2
 Description: Package description.
 Author: Hadley <h.wickham@gmail.com>

=== tests/testthat/testTestWithFailure/DESCRIPTION ===
Package: testTestWithFailure
Title: Tools to Make Developing R Code Easier
License: GPL-2
Description: Package description.
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Suggests:
    testthat
RoxygenNote: 5.0.1

=== debian/changelog ===
r-cran-devtools (2.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 08:26:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,27 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-usethis (>= 1.6.0),
-               r-cran-callr (>= 3.4.3),
+               r-cran-usethis (>= 1.6.3),
+               r-cran-callr (>= 3.4.4),
                r-cran-cli (>= 2.0.2),
                r-cran-covr,
                r-cran-desc,
-               r-cran-dt (>= 0.13),
+               r-cran-dt (>= 0.15),
                r-cran-ellipsis,
-               r-cran-httr (>= 1.4.1),
-               r-cran-jsonlite (>= 1.6.1),
+               r-cran-httr (>= 1.4.2),
+               r-cran-jsonlite (>= 1.7.1),
                r-cran-memoise (>= 1.1.0),
-               r-cran-pkgbuild (>= 1.0.6),
-               r-cran-pkgload,
+               r-cran-pkgbuild (>= 1.1.0),
+               r-cran-pkgload (>= 1.1.0),
                r-cran-rcmdcheck (>= 1.3.3),
                r-cran-remotes (>= 2.2.0),
-               r-cran-rlang (>= 0.4.5),
-               r-cran-roxygen2 (>= 7.1.0),
+               r-cran-rlang (>= 0.4.7),
+               r-cran-roxygen2 (>= 7.1.1),
                r-cran-rstudioapi (>= 0.11),
                r-cran-rversions,
                r-cran-sessioninfo,
                r-cran-testthat (>= 2.3.2),
-               r-cran-withr (>= 2.1.2)
+               r-cran-withr (>= 2.2.0)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name readme-rmd-pre-commit.sh -exec chmod +x \{\} \;

## r-cran-devtools 2.4.3

=== DESCRIPTION ===
Package: devtools
Title: Tools to Make Developing R Packages Easier
Version: 2.4.3
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "Jim",
             family = "Hester",
             role = "aut"),
      person(given = "Winston",
             family = "Chang",
             role = "aut"),
      person(given = "Jennifer",
             family = "Bryan",
             role = c("aut", "cre"),
             email = "jenny@rstudio.com",
             comment = c(ORCID = "0000-0002-6983-2759")),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Collection of package development tools.
License: MIT + file LICENSE
URL: https://devtools.r-lib.org/, https://github.com/r-lib/devtools
BugReports: https://github.com/r-lib/devtools/issues
Depends: R (>= 3.0.2), usethis (>= 2.0.1)
Imports: callr (>= 3.6.0), cli (>= 3.0.0), desc (>= 1.3.0), ellipsis
        (>= 0.3.1), fs (>= 1.5.0), httr (>= 1.4.2), lifecycle (>=
        1.0.0), memoise (>= 2.0.0), pkgbuild (>= 1.2.0), pkgload (>=
        1.2.1), rcmdcheck (>= 1.3.3), remotes (>= 2.3.0), rlang (>=
        0.4.10), roxygen2 (>= 7.1.1), rstudioapi (>= 0.13), rversions
        (>= 2.0.2), sessioninfo (>= 1.1.1), stats, testthat (>= 3.0.2),
        tools, utils, withr (>= 2.4.1)
Suggests: BiocManager (>= 1.30.12), covr (>= 3.5.1), curl (>= 4.3),
        digest (>= 0.6.27), DT (>= 0.17), foghorn (>= 1.3.2), gh (>=
        1.2.1), gmailr (>= 1.0.0), knitr (>= 1.31), lintr (>= 2.0.1),
        MASS, mockery (>= 0.4.2), pingr (>= 2.0.1), pkgdown (>= 1.6.1),
        rhub (>= 1.1.1), rmarkdown (>= 2.7), spelling (>= 2.2)
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-11-29 16:01:54 UTC; jhester
Author: Hadley Wickham [aut],
  Jim Hester [aut],
  Winston Chang [aut],
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  RStudio [cph, fnd]
Maintainer: Jennifer Bryan <jenny@rstudio.com>
Repository: CRAN
Date/Publication: 2021-11-30 09:00:02 UTC

=== tests/testthat/testCheckExtrafile/DESCRIPTION ===
Package: testCheckExtrafile
Title: Tools to make developing R code easier
License: GPL-2
Description: 
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate:
    'a.r'

=== tests/testthat/testPkgdown/DESCRIPTION ===
--- 
+++ 
@@ -9,4 +9,4 @@
 VignetteBuilder: knitr
 Suggests: knitr,
   pkgdown
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1

=== debian/changelog ===
r-cran-devtools (2.4.3-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.4.3
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Sun, 05 Dec 2021 12:27:10 +0530

r-cran-devtools (2.4.2-2) unstable; urgency=medium

  * Team Upload.
  * [41da9ea] d/t/run-unit-test: Do not install dev-deps
    during autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Sep 2021 21:17:42 +0530

r-cran-devtools (2.4.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Test-Depends: r-cran-mockery (and drop patch)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Sep 2021 06:58:39 +0200

=== debian/control ===
Source: r-cran-devtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-usethis (>= 2.0.1),
               r-cran-callr (>= 3.6.0),
               r-cran-cli (>= 3.0.0),
               r-cran-desc (>= 1.3.0),
               r-cran-ellipsis,
               r-cran-fs (>= 1.5.0),
               r-cran-httr (>= 1.4.2),
               r-cran-lifecycle (>= 1.0.0),
               r-cran-memoise (>= 2.0.0),
               r-cran-pkgbuild (>= 1.2.0),
               r-cran-pkgload (>= 1.2.1),
               r-cran-rcmdcheck (>= 1.3.3),
               r-cran-remotes (>= 2.3.0),
               r-cran-rlang (>= 0.4.10),
               r-cran-roxygen2 (>= 7.1.1),
               r-cran-rstudioapi (>= 0.13),
               r-cran-rversions,
               r-cran-sessioninfo,
               r-cran-testthat (>= 3.0.2),
               r-cran-withr (>= 2.4.1)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
Homepage: https://cran.r-project.org/package=devtools
Rules-Requires-Root: no

Package: r-cran-devtools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools to Make Developing R Packages Easier
 Collection of package development tools.

## r-cran-devtools 2.4.4

=== debian/changelog ===
r-cran-devtools (2.4.4-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Aug 2022 18:19:56 +0530

=== debian/control ===
Source: r-cran-devtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-usethis (>= 2.1.6),
               r-cran-cli (>= 3.3.0),
               r-cran-desc (>= 1.4.1),
               r-cran-ellipsis (>= 0.3.2),
               r-cran-fs (>= 1.5.2),
               r-cran-lifecycle (>= 1.0.1),
               r-cran-memoise (>= 2.0.1),
               r-cran-miniui,
               r-cran-pkgbuild (>= 1.3.1),
               r-cran-pkgload (>= 1.3.0),
               r-cran-rcmdcheck (>= 1.4.0),
               r-cran-remotes (>= 2.4.2),
               r-cran-rlang (>= 1.0.4),
               r-cran-roxygen2 (>= 7.2.1),
               r-cran-rversions (>= 2.1.1),
               r-cran-sessioninfo (>= 1.2.2),
               r-cran-testthat (>= 3.1.4),
               r-cran-withr (>= 2.5.0),
               r-cran-pkgdown,
               r-cran-profvis,
               r-cran-urlchecker
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
Homepage: https://cran.r-project.org/package=devtools
Rules-Requires-Root: no

Package: r-cran-devtools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools to Make Developing R Packages Easier
 Collection of package development tools.

## r-cran-devtools 2.4.5

=== DESCRIPTION ===
Package: devtools
Title: Tools to Make Developing R Packages Easier
Version: 2.4.5
Authors@R: c(
    person("Hadley", "Wickham", role = "aut"),
    person("Jim", "Hester", role = "aut"),
    person("Winston", "Chang", role = "aut"),
    person("Jennifer", "Bryan", , "jenny@rstudio.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6983-2759")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Collection of package development tools.
License: MIT + file LICENSE
URL: https://devtools.r-lib.org/, https://github.com/r-lib/devtools
BugReports: https://github.com/r-lib/devtools/issues
Depends: R (>= 3.0.2), usethis (>= 2.1.6)
Imports: cli (>= 3.3.0), desc (>= 1.4.1), ellipsis (>= 0.3.2), fs (>=
        1.5.2), lifecycle (>= 1.0.1), memoise (>= 2.0.1), miniUI (>=
        0.1.1.1), pkgbuild (>= 1.3.1), pkgdown (>= 2.0.6), pkgload (>=
        1.3.0), profvis (>= 0.3.7), rcmdcheck (>= 1.4.0), remotes (>=
        2.4.2), rlang (>= 1.0.4), roxygen2 (>= 7.2.1), rversions (>=
        2.1.1), sessioninfo (>= 1.2.2), stats, testthat (>= 3.1.5),
        tools, urlchecker (>= 1.0.1), utils, withr (>= 2.5.0)
Suggests: BiocManager (>= 1.30.18), callr (>= 3.7.1), covr (>= 3.5.1),
        curl (>= 4.3.2), digest (>= 0.6.29), DT (>= 0.23), foghorn (>=
        1.4.2), gh (>= 1.3.0), gmailr (>= 1.0.1), httr (>= 1.4.3),
        knitr (>= 1.39), lintr (>= 3.0.0), MASS, mockery (>= 0.4.3),
        pingr (>= 2.0.1), rhub (>= 1.1.1), rmarkdown (>= 2.14),
        rstudioapi (>= 0.13), spelling (>= 2.2)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.1
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-10-11 16:13:16 UTC; jenny
Author: Hadley Wickham [aut],
  Jim Hester [aut],
  Winston Chang [aut],
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  RStudio [cph, fnd]
Maintainer: Jennifer Bryan <jenny@rstudio.com>
Repository: CRAN
Date/Publication: 2022-10-11 17:12:36 UTC

=== tests/testthat/testTest/DESCRIPTION ===
Package: testTest
Title: Tools to Make Developing R Code Easier
License: GPL-2
Description: Package description.
Authors@R:
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "h.wickham@gmail.com"))
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Suggests:
    testthat
RoxygenNote: 5.0.1

=== tests/testthat/testVignettesBuilt/DESCRIPTION ===
Package: testVignettesBuilt
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1

=== debian/changelog ===
r-cran-devtools (2.4.5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.4.5
  * Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Oct 2022 14:27:12 +0530

=== debian/control ===
--- 
+++ 
@@ -17,18 +17,18 @@
                r-cran-memoise (>= 2.0.1),
                r-cran-miniui,
                r-cran-pkgbuild (>= 1.3.1),
+               r-cran-pkgdown,
                r-cran-pkgload (>= 1.3.0),
+               r-cran-profvis,
                r-cran-rcmdcheck (>= 1.4.0),
                r-cran-remotes (>= 2.4.2),
                r-cran-rlang (>= 1.0.4),
                r-cran-roxygen2 (>= 7.2.1),
                r-cran-rversions (>= 2.1.1),
                r-cran-sessioninfo (>= 1.2.2),
-               r-cran-testthat (>= 3.1.4),
-               r-cran-withr (>= 2.5.0),
-               r-cran-pkgdown,
-               r-cran-profvis,
-               r-cran-urlchecker
+               r-cran-testthat (>= 3.1.5),
+               r-cran-urlchecker,
+               r-cran-withr (>= 2.5.0)
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-roxygen2, r-cran-mass, r-cran-knitr, r-cran-bitops, r-cran-rmarkdown, r-cran-mockery
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/devtools_([-\d.]*)\.tar\.gz

## r-cran-devtools 2.4.6

=== debian/changelog ===
r-cran-devtools (2.4.6-2) unstable; urgency=medium

  * Team upload.
  * Apply new cme style to control files.
  * Version 2.4.6-1 uploaded to was missing the change below.
    Thanks to Lucas Nussbaum for reporting.  Closes: #1129460.
  * Update debian/copyright for MIT relicensing in 2.4.2

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Mar 2026 08:49:22 +0900

r-cran-devtools (2.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Jan 2026 13:32:57 +0900

=== debian/control ===
Source: r-cran-devtools
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Dylan Aïssi <daissi@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-usethis (>= 3.2.1),
 r-cran-cli (>= 3.6.5),
 r-cran-desc (>= 1.4.3),
 r-cran-ellipsis,
 r-cran-fs (>= 1.6.6),
 r-cran-lifecycle (>= 1.0.4),
 r-cran-memoise,
 r-cran-miniui (>= 0.1.2),
 r-cran-pkgbuild (>= 1.4.8),
 r-cran-pkgdown (>= 2.1.3),
 r-cran-pkgload (>= 1.4.1),
 r-cran-profvis (>= 0.4.0),
 r-cran-rcmdcheck,
 r-cran-remotes (>= 2.5.0),
 r-cran-rlang (>= 1.1.6),
 r-cran-roxygen2 (>= 7.3.3),
 r-cran-rversions,
 r-cran-sessioninfo (>= 1.2.3),
 r-cran-testthat (>= 3.2.3),
 r-cran-urlchecker,
 r-cran-withr (>= 3.0.2),
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-devtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-devtools.git
Homepage: https://cran.r-project.org/package=devtools
Rules-Requires-Root: no

Package: r-cran-devtools
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Tools to Make Developing R Packages Easier
 Collection of package development tools.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-biocmanager (>= 1.30.18),
 r-cran-callr (>= 3.7.1),
 r-cran-covr,
 r-cran-curl (>= 4.3.2),
 r-cran-digest (>= 0.6.29),
 r-cran-dt (>= 0.23),
 r-cran-gh (>= 1.3.0),
 r-cran-httr (>= 1.4.3),
 r-cran-knitr (>= 1.39),
 r-cran-lintr (>= 3.0.0),
 r-cran-mass,
 r-cran-mockery (>= 0.4.3),
 r-cran-pingr (>= 2.0.1),
 r-cran-rhub (>= 1.1.1),
 r-cran-rmarkdown (>= 2.14),
 r-cran-rstudioapi,
 r-cran-spelling (>= 2.2),
